#### D.4.4.5 isCI

Procedure from library `cisimplicial.lib` (see cisimplicial_lib).

Usage:
  isCI(A); A is an integral matrix

Return:
  1 if the simplicial toric ideal I(A) is a complete intersection and 0 otherwise. If printlevel > 0 and I(A) is a complete intersection it also shows a minimal set of generators of I(A)

Assume:
  A is an m x n integral matrix with nonnegative entries and for every 1 <= i <= m, there exist a column in A whose i-th coordinate is not null and the rest are 0.

Example:

    LIB "cisimplicial.lib";
    intmat A[2][5] = 60,0,140,150,21,0,60,140,150,21;
    print(A);
    ==>     60     0   140   150    21
    ==>      0    60   140   150    21
    printlevel = 0;
    isCI(A);
    ==> // It is a complete intersection
    ==> 1
    printlevel = 1;
    isCI(A);
    ==> // Generators of the toric ideal
    ==> toric[1]=-x(1)^7*x(2)^7+x(3)^3
    ==> toric[2]=x(5)^10-x(1)*x(2)*x(4)
    ==> toric[3]=-x(1)^5*x(2)^5+x(4)^2
    ==> // It is a complete intersection
    ==> 1
    intmat B[3][5] = 12,0,0,1,2,0,10,0,3,2,0,0,8,3,3;
    print(B);
    ==>     12     0     0     1     2
    ==>      0    10     0     3     2
    ==>      0     0     8     3     3
    isCI(B);
    ==>  // It is NOT a Complete Intersection.
    ==> 0
    printlevel=0;

User manual for Singular version 4.4.1, 2025, generated by texi2html.